# Role: clevis

## Description

Install clevis and bind it to tang.

https://github.com/latchset/clevis

https://github.com/latchset/tang

## Usage

Using in a playbook:

```yaml
- name: Play
  hosts:
    - all
  roles:
    - samuliy.ansible.clevis
  vars:
    ...
```

### Vars

`clevis_luks_tang_binds`:

List of binds to connect with `tang`.

The objects are passed to `clevis luks bind` command, with arguments taken from the object fiels:

  - 'device'
  - 'url'
